/* MODAL 1 */

/* Aseguramos que el modal y su contenido no se vean afectados por otros estilos globales */
html, body {
    margin: 0;
    padding: 0;
    height: 100%;
    overflow-x: hidden; /* Evita el desbordamiento horizontal */
}

/* Estilo del modal de WhatsApp */
#whatsappModal {
    display: none; /* Modal oculto al principio */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%; /* El modal debe ocupar todo el ancho de la pantalla */
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
    background: rgba(165, 164, 165, 0.7); /* Menos opaco para mayor transparencia */
    backdrop-filter: blur(30px); /* Menos desenfoque */
}

/* Estilo del modal de WhatsApp */
#whatsappModal {
    display: none; /* Modal oculto al principio */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%; /* El modal debe ocupar todo el ancho de la pantalla */
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
    background: rgba(165, 164, 165, 0.7); /* Menos opaco para mayor transparencia */
    backdrop-filter: blur(30px); /* Menos desenfoque */
}

/* Estilo del contenido del modal */
#modalContent {
    background: rgba(165, 164, 165, 0.7); /* Menos opaco para mayor transparencia */
    padding: 20px;
    border-radius: 10px;
    max-width: 380px; /* Limita el ancho máximo */
    width: 100%; /* Se asegura que ocupe el 100% del ancho permitido */
    box-sizing: border-box;
    text-align: center;
    margin: 0 20px; /* Espaciado alrededor para evitar que se pegue a los bordes */
    color: #fff; /* Color del texto para que sea legible sobre el fondo */
}


/* Estilo para el campo de número de teléfono */
#phoneNumber {
    width: calc(100% - 20px); /* Ancho total menos el padding */
    padding: 10px;
    margin: 10px 0;
    border-radius: 5px;
    border: 1px solid #ccc;
}

/* Estilo de los botones */
.modal-button {
    padding: 10px 20px;
    border-radius: 5px;
    background: linear-gradient(70deg, #fff5de, #fd00ff);
    color: white;
    border: none;
    cursor: pointer;
    margin-top: 10px;
}

.modal-button.cancel-button {
    background: #333; /* Rojo para el botón cancelar */
}

.modal-button:hover {
    opacity: 0.8;
}

/* Estilo para el número de teléfono (rojo) */
.phoneNumber {
    color: white; /* Rojo para el texto del número de teléfono */
}

/* Aseguramos que el modal no se desborde en pantallas más grandes */
@media (min-width: 768px) {
    #modalContent {
        width: 380px; /* Ancho fijo de 380px en pantallas grandes */
    }
}

/* MODAL 2*/

/* Aseguramos que el modal y su contenido no se vean afectados por otros estilos globales */
html, body {
    margin: 0;
    padding: 0;
    height: 100%;
    overflow-x: hidden; /* Evita el desbordamiento horizontal */
}

/* Estilo del modal de WhatsApp */
#whatsappModal2 {
    display: none; /* Modal oculto al principio */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%; /* El modal debe ocupar todo el ancho de la pantalla */
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
    background: rgba(165, 164, 165, 0.7); /* Menos opaco para mayor transparencia */
    backdrop-filter: blur(30px); /* Menos desenfoque */
}

/* Estilo del modal de WhatsApp */
#whatsappModal2 {
    display: none; /* Modal oculto al principio */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%; /* El modal debe ocupar todo el ancho de la pantalla */
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
    background: rgba(165, 164, 165, 0.7); /* Menos opaco para mayor transparencia */
    backdrop-filter: blur(30px); /* Menos desenfoque */
}

/* Estilo del contenido del modal */
#modalContent2 {
    background: rgba(165, 164, 165, 0.7); /* Menos opaco para mayor transparencia */
    padding: 20px;
    border-radius: 10px;
    max-width: 380px; /* Limita el ancho máximo */
    width: 100%; /* Se asegura que ocupe el 100% del ancho permitido */
    box-sizing: border-box;
    text-align: center;
    margin: 0 20px; /* Espaciado alrededor para evitar que se pegue a los bordes */
    color: #fff; /* Color del texto para que sea legible sobre el fondo */
}


/* Estilo para el campo de número de teléfono */
#phoneNumber2 {
    width: calc(100% - 20px); /* Ancho total menos el padding */
    padding: 10px;
    margin: 10px 0;
    border-radius: 5px;
    border: 1px solid #ccc;
}

/* Estilo de los botones */
.modal-button {
    padding: 10px 20px;
    border-radius: 5px;
    background: linear-gradient(70deg, #fff5de, #fd00ff);
    color: white;
    border: none;
    cursor: pointer;
    margin-top: 10px;
}

.modal-button.cancel-button2 {
    background: #333; /* Rojo para el botón cancelar */
}

.modal-button2:hover {
    opacity: 0.8;
}

/* Estilo para el número de teléfono (rojo) */
.phoneNumber2 {
    color: white; /* Rojo para el texto del número de teléfono */
}


/* MODAL 3*/

/* Estilo del modal de WhatsApp */
#whatsappModal3 {
    display: none; /* Modal oculto al principio */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%; /* El modal debe ocupar todo el ancho de la pantalla */
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
    background: rgba(165, 164, 165, 0.7); /* Menos opaco para mayor transparencia */
    backdrop-filter: blur(30px); /* Menos desenfoque */
}

/* Estilo del modal de WhatsApp */
#whatsappModal3 {
    display: none; /* Modal oculto al principio */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%; /* El modal debe ocupar todo el ancho de la pantalla */
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
    background: rgba(165, 164, 165, 0.7); /* Menos opaco para mayor transparencia */
    backdrop-filter: blur(30px); /* Menos desenfoque */
}

/* Estilo del contenido del modal */
#modalContent3 {
    background: rgba(165, 164, 165, 0.7); /* Menos opaco para mayor transparencia */
    padding: 20px;
    border-radius: 10px;
    max-width: 380px; /* Limita el ancho máximo */
    width: 100%; /* Se asegura que ocupe el 100% del ancho permitido */
    box-sizing: border-box;
    text-align: center;
    margin: 0 20px; /* Espaciado alrededor para evitar que se pegue a los bordes */
    color: #fff; /* Color del texto para que sea legible sobre el fondo */
}


/* Estilo para el campo de número de teléfono */
#phoneNumber3 {
    width: calc(100% - 20px); /* Ancho total menos el padding */
    padding: 10px;
    margin: 10px 0;
    border-radius: 5px;
    border: 1px solid #ccc;
}

/* Estilo de los botones */
.modal-button {
    padding: 10px 20px;
    border-radius: 5px;
    background: linear-gradient(70deg, #fff5de, #fd00ff);
    color: white;
    border: none;
    cursor: pointer;
    margin-top: 10px;
}

.modal-button.cancel-button3 {
    background: #333; /* Rojo para el botón cancelar */
}

.modal-button2:hover {
    opacity: 0.8;
}

/* Estilo para el número de teléfono (rojo) */
.phoneNumber3 {
    color: white; /* Rojo para el texto del número de teléfono */
}

/* MODAL 4*/

/* Estilo del modal de WhatsApp */
#whatsappModal4 {
    display: none; /* Modal oculto al principio */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%; /* El modal debe ocupar todo el ancho de la pantalla */
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
    background: rgba(165, 164, 165, 0.7); /* Menos opaco para mayor transparencia */
    backdrop-filter: blur(30px); /* Menos desenfoque */
}

/* Estilo del modal de WhatsApp */
#whatsappModal4 {
    display: none; /* Modal oculto al principio */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%; /* El modal debe ocupar todo el ancho de la pantalla */
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
    background: rgba(165, 164, 165, 0.7); /* Menos opaco para mayor transparencia */
    backdrop-filter: blur(30px); /* Menos desenfoque */
}

/* Estilo del contenido del modal */
#modalContent4 {
    background: rgba(165, 164, 165, 0.7); /* Menos opaco para mayor transparencia */
    padding: 20px;
    border-radius: 10px;
    max-width: 380px; /* Limita el ancho máximo */
    width: 100%; /* Se asegura que ocupe el 100% del ancho permitido */
    box-sizing: border-box;
    text-align: center;
    margin: 0 20px; /* Espaciado alrededor para evitar que se pegue a los bordes */
    color: #fff; /* Color del texto para que sea legible sobre el fondo */
}


/* Estilo para el campo de número de teléfono */
#phoneNumber4 {
    width: calc(100% - 20px); /* Ancho total menos el padding */
    padding: 10px;
    margin: 10px 0;
    border-radius: 5px;
    border: 1px solid #ccc;
}

/* Estilo de los botones */
.modal-button {
    padding: 10px 20px;
    border-radius: 5px;
    background: linear-gradient(70deg, #fff5de, #fd00ff);
    color: white;
    border: none;
    cursor: pointer;
    margin-top: 10px;
}

.modal-button.cancel-button4 {
    background: #333; /* Rojo para el botón cancelar */
}

.modal-button2:hover {
    opacity: 0.8;
}

/* Estilo para el número de teléfono (rojo) */
.phoneNumber4 {
    color: white; /* Rojo para el texto del número de teléfono */
}

/* MODAL 5*/

/* Estilo del modal de WhatsApp */
#whatsappModal5 {
    display: none; /* Modal oculto al principio */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%; /* El modal debe ocupar todo el ancho de la pantalla */
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
    background: rgba(165, 164, 165, 0.7); /* Menos opaco para mayor transparencia */
    backdrop-filter: blur(30px); /* Menos desenfoque */
}

/* Estilo del modal de WhatsApp */
#whatsappModal5 {
    display: none; /* Modal oculto al principio */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%; /* El modal debe ocupar todo el ancho de la pantalla */
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
    background: rgba(165, 164, 165, 0.7); /* Menos opaco para mayor transparencia */
    backdrop-filter: blur(30px); /* Menos desenfoque */
}

/* Estilo del contenido del modal */
#modalContent5 {
    background: rgba(165, 164, 165, 0.7); /* Menos opaco para mayor transparencia */
    padding: 20px;
    border-radius: 10px;
    max-width: 380px; /* Limita el ancho máximo */
    width: 100%; /* Se asegura que ocupe el 100% del ancho permitido */
    box-sizing: border-box;
    text-align: center;
    margin: 0 20px; /* Espaciado alrededor para evitar que se pegue a los bordes */
    color: #fff; /* Color del texto para que sea legible sobre el fondo */
}


/* Estilo para el campo de número de teléfono */
#phoneNumber5 {
    width: calc(100% - 20px); /* Ancho total menos el padding */
    padding: 10px;
    margin: 10px 0;
    border-radius: 5px;
    border: 1px solid #ccc;
}

/* Estilo de los botones */
.modal-button {
    padding: 10px 20px;
    border-radius: 5px;
    background: linear-gradient(70deg, #fff5de, #fd00ff);
    color: white;
    border: none;
    cursor: pointer;
    margin-top: 10px;
}

.modal-button.cancel-button5 {
    background: #333; /* Rojo para el botón cancelar */
}

.modal-button5:hover {
    opacity: 0.8;
}

/* Estilo para el número de teléfono (rojo) */
.phoneNumber5 {
    color: white; /* Rojo para el texto del número de teléfono */
}


/* MODAL 6*/

/* Estilo del modal de WhatsApp */
#whatsappModal6 {
    display: none; /* Modal oculto al principio */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%; /* El modal debe ocupar todo el ancho de la pantalla */
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
    background: rgba(165, 164, 165, 0.7); /* Menos opaco para mayor transparencia */
    backdrop-filter: blur(30px); /* Menos desenfoque */
}

/* Estilo del modal de WhatsApp */
#whatsappModal6 {
    display: none; /* Modal oculto al principio */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%; /* El modal debe ocupar todo el ancho de la pantalla */
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
    background: rgba(165, 164, 165, 0.7); /* Menos opaco para mayor transparencia */
    backdrop-filter: blur(30px); /* Menos desenfoque */
}

/* Estilo del contenido del modal */
#modalContent6 {
    background: rgba(165, 164, 165, 0.7); /* Menos opaco para mayor transparencia */
    padding: 20px;
    border-radius: 10px;
    max-width: 380px; /* Limita el ancho máximo */
    width: 100%; /* Se asegura que ocupe el 100% del ancho permitido */
    box-sizing: border-box;
    text-align: center;
    margin: 0 20px; /* Espaciado alrededor para evitar que se pegue a los bordes */
    color: #fff; /* Color del texto para que sea legible sobre el fondo */
}


/* Estilo para el campo de número de teléfono */
#phoneNumber6 {
    width: calc(100% - 20px); /* Ancho total menos el padding */
    padding: 10px;
    margin: 10px 0;
    border-radius: 5px;
    border: 1px solid #ccc;
}

/* Estilo de los botones */
.modal-button {
    padding: 10px 20px;
    border-radius: 5px;
    background: linear-gradient(70deg, #fff5de, #fd00ff);
    color: white;
    border: none;
    cursor: pointer;
    margin-top: 10px;
}

.modal-button.cancel-button6 {
    background: #333; /* Rojo para el botón cancelar */
}

.modal-button6:hover {
    opacity: 0.8;
}

/* Estilo para el número de teléfono (rojo) */
.phoneNumber6 {
    color: white; /* Rojo para el texto del número de teléfono */
}

/* MODAL 7*/

/* Estilo del modal de WhatsApp */
#whatsappModal7 {
    display: none; /* Modal oculto al principio */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%; /* El modal debe ocupar todo el ancho de la pantalla */
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
    background: rgba(165, 164, 165, 0.7); /* Menos opaco para mayor transparencia */
    backdrop-filter: blur(30px); /* Menos desenfoque */
}

/* Estilo del modal de WhatsApp */
#whatsappModal7 {
    display: none; /* Modal oculto al principio */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%; /* El modal debe ocupar todo el ancho de la pantalla */
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
    background: rgba(165, 164, 165, 0.7); /* Menos opaco para mayor transparencia */
    backdrop-filter: blur(30px); /* Menos desenfoque */
}

/* Estilo del contenido del modal */
#modalContent7 {
    background: rgba(165, 164, 165, 0.7); /* Menos opaco para mayor transparencia */
    padding: 20px;
    border-radius: 10px;
    max-width: 380px; /* Limita el ancho máximo */
    width: 100%; /* Se asegura que ocupe el 100% del ancho permitido */
    box-sizing: border-box;
    text-align: center;
    margin: 0 20px; /* Espaciado alrededor para evitar que se pegue a los bordes */
    color: #fff; /* Color del texto para que sea legible sobre el fondo */
}


/* Estilo para el campo de número de teléfono */
#phoneNumber7 {
    width: calc(100% - 20px); /* Ancho total menos el padding */
    padding: 10px;
    margin: 10px 0;
    border-radius: 5px;
    border: 1px solid #ccc;
}

/* Estilo de los botones */
.modal-button {
    padding: 10px 20px;
    border-radius: 5px;
    background: linear-gradient(70deg, #fff5de, #fd00ff);
    color: white;
    border: none;
    cursor: pointer;
    margin-top: 10px;
}

.modal-button.cancel-button7 {
    background: #333; /* Rojo para el botón cancelar */
}

.modal-button7:hover {
    opacity: 0.8;
}

/* Estilo para el número de teléfono (rojo) */
.phoneNumber7 {
    color: white; /* Rojo para el texto del número de teléfono */
}

/* MODAL 8*/

/* Estilo del modal de WhatsApp */
#whatsappModal8 {
    display: none; /* Modal oculto al principio */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%; /* El modal debe ocupar todo el ancho de la pantalla */
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
    background: rgba(165, 164, 165, 0.7); /* Menos opaco para mayor transparencia */
    backdrop-filter: blur(30px); /* Menos desenfoque */
}

/* Estilo del modal de WhatsApp */
#whatsappModal8 {
    display: none; /* Modal oculto al principio */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%; /* El modal debe ocupar todo el ancho de la pantalla */
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
    background: rgba(165, 164, 165, 0.7); /* Menos opaco para mayor transparencia */
    backdrop-filter: blur(30px); /* Menos desenfoque */
}

/* Estilo del contenido del modal */
#modalContent8 {
    background: rgba(165, 164, 165, 0.7); /* Menos opaco para mayor transparencia */
    padding: 20px;
    border-radius: 10px;
    max-width: 380px; /* Limita el ancho máximo */
    width: 100%; /* Se asegura que ocupe el 100% del ancho permitido */
    box-sizing: border-box;
    text-align: center;
    margin: 0 20px; /* Espaciado alrededor para evitar que se pegue a los bordes */
    color: #fff; /* Color del texto para que sea legible sobre el fondo */
}


/* Estilo para el campo de número de teléfono */
#phoneNumber8 {
    width: calc(100% - 20px); /* Ancho total menos el padding */
    padding: 10px;
    margin: 10px 0;
    border-radius: 5px;
    border: 1px solid #ccc;
}

/* Estilo de los botones */
.modal-button {
    padding: 10px 20px;
    border-radius: 5px;
    background: linear-gradient(70deg, #fff5de, #fd00ff);
    color: white;
    border: none;
    cursor: pointer;
    margin-top: 10px;
}

.modal-button.cancel-button8 {
    background: #333; /* Rojo para el botón cancelar */
}

.modal-button8:hover {
    opacity: 0.8;
}

/* Estilo para el número de teléfono (rojo) */
.phoneNumber8 {
    color: white; /* Rojo para el texto del número de teléfono */
}